Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.bonuses.delete("bonus_123");curl -X DELETE "https://api.priceos.com/v1/bonuses/bonus_123" \
-H "x-api-key: PRICEOS_API_KEY"{
"deleted": true,
"bonusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterRemaining": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Bonuses
Delete Bonus
Delete an existing bonus that has not been consumed.
DELETE
/
v1
/
bonuses
/
{bonusId}
Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.bonuses.delete("bonus_123");curl -X DELETE "https://api.priceos.com/v1/bonuses/bonus_123" \
-H "x-api-key: PRICEOS_API_KEY"{
"deleted": true,
"bonusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterRemaining": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Headers
API key from your PriceOS dashboard.
Path Parameters
Bonus ID.